package com.meas.system.domain;

import com.meas.common.annotation.Excel;
import com.meas.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 热像仪测试数据对象 meas_thermal_imager_test_data
 *
 * @author wgk
 * @date 2024-06-13
 */
public class MeasThermalImagerTestData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 测量环境id
     */
    @Excel(name = "测量环境id")
    private Long measurementBatchId;

    /**
     * 发动机型号
     */
    private String engineModel;

    /**
     * 几何模型文件
     */
    private String geometryFiles;

    /**
     * 几何模型图片
     */
    private String geometryImage;

    /**
     * 测量批次
     */
    private String measurementBatch;

    /**
     * 发动机状态
     */
    private String engineStatus;

    /**
     * 角度
     */
    private String angle;

    /**
     * 型号
     */
    @Excel(name = "型号")
    private String model;

    /**
     * 镜头视场角
     */
    @Excel(name = "镜头视场角")
    private String lensFView;

    /**
     * 滤镜编号
     */
    @Excel(name = "滤镜编号")
    private String filterNo;

    /**
     * 帧率
     */
    @Excel(name = "帧率")
    private String fps;

    /**
     * 波段
     */
    @Excel(name = "波段")
    private String spectralBand;

    /**
     * 积分时间
     */
    @Excel(name = "积分时间")
    private Long integrationTime;

    /**
     * 温度标定
     */
    @Excel(name = "温度标定")
    private String tempCal;

    /**
     * 辐射亮度
     */
    @Excel(name = "辐射亮度")
    private String radiance;

    /**
     * 辐射照度
     */
    @Excel(name = "辐射照度")
    private String radIllumination;

    /**
     * 辐射温度
     */
    @Excel(name = "辐射温度")
    private String radTemp;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMeasurementBatchId() {
        return measurementBatchId;
    }

    public void setMeasurementBatchId(Long measurementBatchId) {
        this.measurementBatchId = measurementBatchId;
    }

    public String getEngineModel() {
        return engineModel;
    }

    public void setEngineModel(String engineModel) {
        this.engineModel = engineModel;
    }

    public String getGeometryFiles() {
        return geometryFiles;
    }

    public void setGeometryFiles(String geometryFiles) {
        this.geometryFiles = geometryFiles;
    }

    public String getGeometryImage() {
        return geometryImage;
    }

    public void setGeometryImage(String geometryImage) {
        this.geometryImage = geometryImage;
    }

    public String getMeasurementBatch() {
        return measurementBatch;
    }

    public void setMeasurementBatch(String measurementBatch) {
        this.measurementBatch = measurementBatch;
    }

    public String getEngineStatus() {
        return engineStatus;
    }

    public void setEngineStatus(String engineStatus) {
        this.engineStatus = engineStatus;
    }

    public String getAngle() {
        return angle;
    }

    public void setAngle(String angle) {
        this.angle = angle;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getLensFView() {
        return lensFView;
    }

    public void setLensFView(String lensFView) {
        this.lensFView = lensFView;
    }

    public String getFilterNo() {
        return filterNo;
    }

    public void setFilterNo(String filterNo) {
        this.filterNo = filterNo;
    }

    public String getFps() {
        return fps;
    }

    public void setFps(String fps) {
        this.fps = fps;
    }

    public String getSpectralBand() {
        return spectralBand;
    }

    public void setSpectralBand(String spectralBand) {
        this.spectralBand = spectralBand;
    }

    public Long getIntegrationTime() {
        return integrationTime;
    }

    public void setIntegrationTime(Long integrationTime) {
        this.integrationTime = integrationTime;
    }

    public String getTempCal() {
        return tempCal;
    }

    public void setTempCal(String tempCal) {
        this.tempCal = tempCal;
    }

    public String getRadiance() {
        return radiance;
    }

    public void setRadiance(String radiance) {
        this.radiance = radiance;
    }

    public String getRadIllumination() {
        return radIllumination;
    }

    public void setRadIllumination(String radIllumination) {
        this.radIllumination = radIllumination;
    }

    public String getRadTemp() {
        return radTemp;
    }

    public void setRadTemp(String radTemp) {
        this.radTemp = radTemp;
    }

    @Override
    public String toString() {
        return "MeasThermalImagerTestData{" +
                "id=" + id +
                ", measurementBatchId=" + measurementBatchId +
                ", engineModel='" + engineModel + '\'' +
                ", geometryFiles='" + geometryFiles + '\'' +
                ", geometryImage='" + geometryImage + '\'' +
                ", measurementBatch='" + measurementBatch + '\'' +
                ", engineStatus='" + engineStatus + '\'' +
                ", angle='" + angle + '\'' +
                ", model='" + model + '\'' +
                ", lensFView='" + lensFView + '\'' +
                ", filterNo='" + filterNo + '\'' +
                ", fps='" + fps + '\'' +
                ", spectralBand='" + spectralBand + '\'' +
                ", integrationTime=" + integrationTime +
                ", tempCal='" + tempCal + '\'' +
                ", radiance='" + radiance + '\'' +
                ", radIllumination='" + radIllumination + '\'' +
                ", radTemp='" + radTemp + '\'' +
                '}';
    }
}
